/*
 * Copyright 2013 Mark Slater
 *
 * Licensed under the Apache License, Version 2.0 (the "License"); you may not use this file except in compliance with the License. You may obtain a copy of the License at
 *
 * 	http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software distributed under the License is distributed on an "AS IS" BASIS, WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied. See the License for the specific language governing permissions and limitations under the License.
 */

package net.sourceforge.xazzle.xhtml;

import net.sourceforge.writexml.Attribute;
import net.sourceforge.writexml.Attributes;

import static java.util.Arrays.asList;
import static net.sourceforge.writexml.Attributes.attributes;
import static net.sourceforge.writexml.TagName.tagName;

public final class TitleTag extends BasicXhtmlTag<TitleTag, XhtmlTag> {

    private TitleTag(final Attributes attributes, final Iterable<? extends XhtmlTag> children) {
        super(tagName("title"), attributes, children);
    }

    static TitleTag titleTag(final String title) {
        return new TitleTag(attributes(), asList(XhtmlText.xhtmlText(title)));
    }

    @Override
    TitleTag makeANewOne(final Attribute attribute) {
        return new TitleTag(attributes.append(attribute), children);
    }
}
